package p02629.s084736233;


import java.util.Scanner;

public class Main {
	
	public static void main(String[] args){
		
		Scanner scan = new Scanner(System.in);
		long n = scan.nextLong();
		scan.close();
		
		// 0がaになり、1大きい数が渡されるけど、アルファベットだけの26進数にしてね
		System.out.println(convertOriginalShinsuStr(n, 'a', 1, 26));
		
	}
	
	/**
	 * 10進数をオリジナル進数(アルファベット)文字列に変換
	 * @param dnum 変換する10進数
	 * @param origin 10進数の0をオリジナル進数で変換した後の文字
	 * @param offset オリジナル変数の0に何を足せば10進数の0になるか？
	 * @param basenumber 何進数に変換するの
	 * @return オリジナル進数(アルファベット)文字列
	 */
	public static String convertOriginalShinsuStr(
			long dnum, final char origin, final int offset, final int basenumber) {
		
		// よくわからんワンちゃん
		if(dnum <= 0) {
			return "";
		}
		
		// 邪魔なのでオフセットは消化
		dnum -= offset;
		
		// char型とintの足し算で文字を求める
		String ret = String.valueOf((char)(origin + dnum % basenumber));
		// 小数点以下は切り捨てられる
		dnum /= basenumber ; 
		
		// 次の位も頼みます
		return convertOriginalShinsuStr(dnum, origin, offset, basenumber) + ret;
		
	}

}
