package p02677.s362726829;


import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import java.util.NoSuchElementException;

public class Main {

	public static void main(String[] args) {

		FastScanner sc = new FastScanner();
		PrintWriter out = new PrintWriter(System.out);

		int a = sc.nextInt();
		int b = sc.nextInt();
		int h = sc.nextInt();
		int m = sc.nextInt();

		double hpy = (h * 60 + m) * 2 * Math.PI / (60 * 12);
		double mpy = (2 * Math.PI * m) / 60;
		double sita = hpy > mpy ? hpy - mpy : mpy - hpy;
		sita = sita > Math.PI ? Math.PI * 2 - sita : sita;
		double ans = Math.sqrt(a * a + b * b - 2 * a * b * Math.cos(sita));

		out.print(ans);
		out.flush();

	}

}

class FastScanner {
	private final InputStream in = System.in;
	private final byte[] buffer = new byte[1024];
	private int ptr = 0;
	private int buflen = 0;

	private boolean hasNextByte() {
		if (ptr < buflen) {
			return true;
		} else {
			ptr = 0;
			try {
				buflen = in.read(buffer);
			} catch (IOException e) {
				e.printStackTrace();
			}
			if (buflen <= 0) {
				return false;
			}
		}
		return true;
	}

	private int readByte() {
		if (hasNextByte())
			return buffer[ptr++];
		else
			return -1;
	}

	private static boolean isPrintableChar(int c) {
		return 33 <= c && c <= 126;
	}

	public boolean hasNext() {
		while (hasNextByte() && !isPrintableChar(buffer[ptr]))
			ptr++;
		return hasNextByte();
	}

	public String next() {
		if (!hasNext())
			throw new NoSuchElementException();
		StringBuilder sb = new StringBuilder();
		int b = readByte();
		while (isPrintableChar(b)) {
			sb.appendCodePoint(b);
			b = readByte();
		}
		return sb.toString();
	}

	public long nextLong() {
		if (!hasNext())
			throw new NoSuchElementException();
		long n = 0;
		boolean minus = false;
		int b = readByte();
		if (b == '-') {
			minus = true;
			b = readByte();
		}
		if (b < '0' || '9' < b) {
			throw new NumberFormatException();
		}
		while (true) {
			if ('0' <= b && b <= '9') {
				n *= 10;
				n += b - '0';
			} else if (b == -1 || !isPrintableChar(b)) {
				return minus ? -n : n;
			} else {
				throw new NumberFormatException();
			}
			b = readByte();
		}
	}

	public int nextInt() {
		long nl = nextLong();
		if (nl < Integer.MIN_VALUE || nl > Integer.MAX_VALUE)
			throw new NumberFormatException();
		return (int) nl;
	}

	public double nextDouble() {
		return Double.parseDouble(next());
	}

	public int[] nextIntsN(int n) {
		int[] ints = new int[n];
		for (int i = 0; i < n; i++) {
			ints[i] = nextInt();
		}
		return ints;
	}

	public long[] nextLongsN(int n) {
		long[] longs = new long[n];
		for (int i = 0; i < n; i++) {
			longs[i] = nextLong();
		}
		return longs;
	}

	public char[] nextCharsN(int n) {
		char[] chars = new char[n];
		String msg = next();
		for (int i = 0; i < n; i++) {
			chars[i] = msg.charAt(i);
		}
		return chars;
	}

	public char[][] nextCharsHW(int h, int w) {
		char[][] chars = new char[h][w];
		for (int i = 0; i < h; i++) {
			String str = next();
			for (int j = 0; j < w; j++) {
				chars[i][j] = str.charAt(j);
			}
		}
		return chars;
	}

	public int[][] nextIntsNM(int n, int m) {
		int[][] ints = new int[n][m];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				ints[i][j] = nextInt();
			}
		}
		return ints;
	}

	public List<Integer> nextArrayIntsN(int n) {
		ArrayList<Integer> array = new ArrayList<>(n);
		for (int i = 0; i < n; i++) {
			array.add(nextInt());
		}
		return array;
	}

	public List<Long> nextArrayLongsN(int n) {
		ArrayList<Long> array = new ArrayList<>(n);
		for (int i = 0; i < n; i++) {
			array.add(nextLong());
		}
		return array;
	}

	public List<List<Long>> nextArrayLongsNM(int n, int m) {

		List<List<Long>> arrays = new ArrayList<List<Long>>(m);
		for (int i = 0; i < m; i++) {
			List<Long> array = nextArrayLongsN(n);
			arrays.add(array);
		}
		return arrays;
	}

}
