package p02717.s742706214;


import java.io.*;

public class Main {
    public static void main(String[] args) {
        int[] abc;
        try (InputScanner is = new InputScanner(System.in)) {
            abc = is.nia(3);
        }
        System.out.println(abc[2] + " " + abc[0] + " " + abc[1]);

    }

    //-------------------------------------------------------------------
    public static class InputScanner implements Closeable {
        private final BufferedReader br;
        private String[] element;
        private int elementIndex;

        public InputScanner(InputStream is) {
            this.br = new BufferedReader(new InputStreamReader(is));
        }

        public String next() {
            return this.nextElement();
        }

        //next int
        public int ni() {
            return Integer.parseInt(this.nextElement());
        }

        //next long
        public long li() {
            return Long.parseLong(this.nextElement());
        }

        //next int array
        public int[] nia(int n) {
            int[] arr = new int[n];
            for (int i = 0; i < n; i++) {
                arr[i] = this.ni();
            }
            return arr;
        }

        private void readLine() {
            try {
                this.element = this.br.readLine().split("\\s");
            } catch (IOException e) {
                e.printStackTrace();
            }
            this.elementIndex = 0;
        }

        private String nextElement() {
            if (!hasElement()) {
                this.readLine();
            }
            return this.element[this.elementIndex++];
        }

        private boolean hasElement() {
            return this.element!= null && this.element.length > this.elementIndex;
        }

        @Override
        public void close() {
            if (this.br!= null) {
                try {
                    this.br.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
           