package p02959.s230757054;


// template for atcoder
import java.util.*;
import java.io.*;
import static java.lang.Math.*;

public class Main {

    private static final int MOD = (int)1e9 + 7; //998244353;
    private static final long INF = (long)1e15;

    public Main(FastScanner in, PrintWriter out) {
        int n = in.nextInt();
        int[] A = new int[n + 1];
        for (int i = 0; i <= n; i++) A[i] = in.nextInt();
        long res = 0;
        int prev = 0;
        for (int i = 0; i < n; i++) {
            int b = in.nextInt(), t = b + prev;
            res += min(A[i], t);
            prev = max(0, min(b, t - A[i]));
        }
        out.println(res + Math.min(A[n], prev));
    }

    private long gcd(long a, long b) {
        while (true) {
            if (b == 0) return a;
            long tmp = a;
            a = b;
            b = tmp % b;
        }
    }

    private int gcd(int a, int b) {
        while (true) {
            if (b == 0) return a;
            int tmp = a;
            a = b;
            b = tmp % b;
        }
    }

    private long powm(long x, long p) {
        long res = 1;
        while (p > 0) {
            if (p % 2 == 1)
                res = res * x % MOD;
            x = x * x % MOD;
            p /= 2;
        }
        return res;
    }

    public static void main(String[] args) {
        PrintWriter out = new PrintWriter(System.out);
        // Scanner in = new Scanner(
                // new BufferedReader(new InputStreamReader(System.in)));
        FastScanner in = new FastScanner(System