package p03160.s160685878;


import java.awt.*;
import java.io.*;

import java.math.BigInteger;
import java.util.*;

public class Main {


    static Integer[]memo;
    static int n;
    static int[]arr;

    static int solve(int i)
    {
        if(i == n - 2) return Math.abs(arr[i] - arr[i + 1]);
        if(i == n - 1) return 0;
        if(memo[i]!= null) return memo[i];

        int jump1 = Math.abs(arr[i] - arr[i + 1]) + solve(i + 1);
        int jump2 = Math.abs(arr[i] - arr[i + 2]) + solve(i + 2);
        return memo[i] = Math.min(jump1, jump2);
    }

    public static void main(String[] args) throws Exception {

        Scanner sc = new Scanner(System.in);
        PrintWriter pw = new PrintWriter(System.out);

        n = sc.nextInt();
        arr = new int[n];
        for (int i = 0 ; i < n ; i++)arr[i] = sc.nextInt();

        memo =  new Integer[n + 1];
        solve(0);
        pw.print(solve(0));


        pw.close();
    }
    static class Point implements Comparable<Point>
    {
        int x,y ;

        public Point(int x, int y) {
            this.x = x;
            this.y = y;
        }

        @Override
        public int compareTo(Point o) {
            if (x == o.x) {
                return y - o.y;
            }
            return x - o.x;
        }

        @Override
        public String toString() {
            return "Point{" +
                    "x=" + x +
                    ", y=" + y +
                    '}';
        }
    }

    static class Circle implements Comparable<Circle>
    {
        int x, radius