package p02677.s813212551;


import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.Random;

public class Main {

    public static void main(String[] args) throws Exception {
        try (BufferedInputStream in = new BufferedInputStream(System.in);
             PrintWriter out = new PrintWriter(new BufferedOutputStream(System.out))) {

            _Scanner sc = new _Scanner(in);

            double a = sc.nextInt();
            double b = sc.nextInt();

            double h = sc.nextInt();
            double m = sc.nextInt();

            double full = Math.PI * 2;
//            double full = Math.PI;
            Point ap = point(a, full * ((h + m / 60.0) / 12.0));
            Point bp = point(b, full * m / 60.0);

            double dx = bp.x - ap.x;
            double dy = bp.y - ap.y;

            double dist = Math.sqrt(Math.pow(dx, 2) + Math.pow(dy, 2));

            out.println(dist);
        }
    }

    private static Point point(double r, double deg) {
        double x = r * Math.sin(deg);
        double y = r * Math.cos(deg);
        return new Point(x, y);
    }

    private static class Point {
        double x, y;

        public Point(double x, double y) {
            this.x = x;
            this.y = y;
        }

        @Override
        public String toString() {
            return "Point{" +
                    "x=" + x +
                    ", y=" + y +
                    '}';
        }
    }

    private static void reverse(int[] vs) {
        for (int i = 0; i < vs.length / 2; i++) {
            swap(vs, i, vs.length - 1 - i);
        }
    }

   