package p03013.s367604119;


// template for atcode
import java.util.*;
import java.io.*;
import static java.lang.Math.*;
import java.util.stream.Collectors;

public class Main {

    private static final int MOD = (int)1e9 + 7; //998244353;
    // private static final long INF = (long)1e17;
    private static final int INF = (int)1e9;

    public Main(FastScanner in, PrintWriter out) {
        int n = in.nextInt();
        int m = in.nextInt();
        boolean[] bad = new boolean[n + 1];
        for (int i = 1; i <= m; i++) bad[in.nextInt()] = true;
        int[] dp = new int[n + 1];
        dp[0] = 1;
        dp[1] = bad[1]? 0 : 1;
        for (int i = 2; i <= n; i++) {
            if (!bad[i]) {
                dp[i] = (dp[i - 1] + dp[i - 2]) % MOD;
            }
        }
        out.println(dp[n]);
    }


    private int gcd(int a, int b) {
        while (true) {
            if (b == 0) return a;
            int tmp = a;
            a = b;
            b = tmp % b;
        }
    }

    private long gcd(long a, long b) {
        while (true) {
            if (b == 0) return a;
            long tmp = a;
            a = b;
            b = tmp % b;
        }
    }

    private long powm(long x, long p) {
        long res = 1;
        while (p > 0) {
            if (p % 2 == 1)
                res = res * x % MOD;
            x = x * x % MOD;
            p /= 2;
        }
        return res;
    }

    public static void main(String[] args) {
        PrintWriter